import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/routes/route_name.dart';
import 'package:tanami_app/core/routes/routes.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/core/styles/app_images.dart';
import 'package:tanami_app/core/styles/app_text.dart';
import 'package:tanami_app/shared/components/text_widget.dart';

import 'settings_list_tile_item.dart';

class SupportSettingsSection extends StatelessWidget {
  const SupportSettingsSection({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(
        horizontal: 16,
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          TextWidget().text14W600(
            AppText.supportText,
            clr: AppColor.hintTextColor,
          ),
          const Gap(8),
          SettingsListItem(
            onTapFunc: () {
              goRouter.pushNamed(RouteName.contactAdminScreen);
            },
            icon: AppImages.contactIcon,
            title: AppText.contactAdminText,
            trailing: "",
          ),
          const Gap(8),
          SettingsListItem(
            onTapFunc: () {},
            icon: AppImages.privacyIcon,
            title: AppText.privacyPolicy,
            trailing: "",
          ),
          const Gap(8),
          SettingsListItem(
            onTapFunc: () {},
            icon: AppImages.privacyIcon,
            title: AppText.termsAndCondition,
            trailing: "",
          ),
          const Gap(8),
          SettingsListItem(
            onTapFunc: () {
              goRouter.pushNamed(RouteName.faqScreen);
            },
            icon: AppImages.faqIcon,
            title: AppText.faqText,
            trailing: "",
          ),
          const Gap(10),
          const Divider(
            color: AppColor.academyCardTextColor,
          ),
        ],
      ),
    );
  }
}
